Name:          libeXosip2
Version:       4.1.0
Release:       2mamba
Summary:       A library that hides the complexity of using the SIP protocol for mutlimedia session establishement
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://savannah.nongnu.org/projects/exosip
Source:        http://mirror.lihnidos.org/GNU/savannah/exosip/libeXosip2-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcares-devel
BuildRequires: libopenssl-devel
BuildRequires: libosip2-devel
## AUTOBUILDREQ-END
BuildRequires: libosip2-devel >= 5.0.0-1mamba
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
eXosip is a library that hides the complexity of using the SIP protocol for mutlimedia session establishement. This protocol is mainly to be used by VoIP telephony applications (endpoints or conference server) but might be also usefull for any application that wish to establish sessions like multiplayer games.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
eXosip is a library that hides the complexity of using the SIP protocol for mutlimedia session establishement. This protocol is mainly to be used by VoIP telephony applications (endpoints or conference server) but might be also usefull for any application that wish to establish sessions like multiplayer games.

This package contains static libraries and header files need for development.

%prep
%setup -q

%build
%configure
%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/sip_reg
%{_libdir}/libeXosip2.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/eXosip2/*.h
%{_libdir}/libeXosip2.a
%{_libdir}/libeXosip2.la
%{_libdir}/libeXosip2.so
%doc ChangeLog NEWS README

%changelog
* Tue Aug 21 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.0-2mamba
- rebuilt by autoport with build requirements: libosip2-devel>=5.0.0-1mamba

* Thu Mar 26 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.0-1mamba
- update to 4.1.0

* Thu Mar 26 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.0-2mamba
- rebuilt by autoport with build requirements: libosip2-devel>=4.1.0-1mamba

* Fri Dec 09 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.0-1mamba
- update to 3.6.0

* Mon Jun 14 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.0-1mamba
- package created by autospec
